# Generated by Django 2.2.5 on 2019-09-20 20:28

from django.db import migrations, models
import django.db.models.deletion
import pulpcore.app.fields
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('core', '0004_add_duplicated_reserved_resources'),
    ]

    operations = [
        migrations.CreateModel(
            name='CookbookPublication',
            fields=[
                ('publication_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='cookbook_cookbookpublication', serialize=False, to='core.Publication')),
            ],
            options={
                'default_related_name': '%(app_label)s_%(model_name)s',
            },
            bases=('core.publication',),
        ),
        migrations.CreateModel(
            name='CookbookRemote',
            fields=[
                ('remote_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='cookbook_cookbookremote', serialize=False, to='core.Remote')),
                ('cookbooks', pulpcore.app.fields.JSONField(blank=True)),
            ],
            options={
                'default_related_name': '%(app_label)s_%(model_name)s',
            },
            bases=('core.remote',),
        ),
        migrations.CreateModel(
            name='CookbookPackageContent',
            fields=[
                ('content_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='cookbook_cookbookpackagecontent', serialize=False, to='core.Content')),
                ('name', models.TextField()),
                ('version', models.TextField()),
                ('dependencies', pulpcore.app.fields.JSONField()),
                ('content_id_type', models.CharField(choices=[('uuid', 'On demand/streaming content: arbitrary UUID'), ('sha256', 'Immediate download content: digest of associated artifact')], default='uuid', max_length=10)),
                ('content_id', models.CharField(default=uuid.uuid4, max_length=64)),
            ],
            options={
                'default_related_name': '%(app_label)s_%(model_name)s',
                'unique_together': {('name', 'version', 'content_id_type', 'content_id')},
            },
            bases=('core.content',),
        ),
        migrations.CreateModel(
            name='CookbookDistribution',
            fields=[
                ('basedistribution_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='cookbook_cookbookdistribution', serialize=False, to='core.BaseDistribution')),
                ('publication', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='cookbook_cookbookdistribution', to='core.Publication')),
            ],
            options={
                'default_related_name': '%(app_label)s_%(model_name)s',
            },
            bases=('core.basedistribution',),
        ),
    ]
